Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface LargeReportRecord

All Superinterfaces:
  java.io.Serializable

Deprecated. As of v8, replaced by `OndemandReportRecord`

    public interface LargeReportRecord

extends java.io.Serializable

Interface `LargReportRecord` contains information of a large report in the report server.

Method Summary
`java.lang.String` | `getCatalog()` Deprecated. Returns the catalog.
`long` | `getCompletedTime()` Deprecated. Returns the completed time if the report runs over, the number of milliseconds since January 1, 1970, 00:00:00 GMT, or else returns -1.
`java.lang.String` | `getErrorMessage()` Deprecated. Returns Error Message if the large Report failed to run.
`java.util.Properties` | `getParameters()` Deprecated. Returns the parameter properties.
`java.lang.String` | `getQuery()` Deprecated. Returns the HTTP query for "To Applet".
`java.lang.String` | `getReportName()` Deprecated. Returns the report name.
`java.lang.String` | `getResult()` Deprecated. Returns the report result.
`long` | `getStartedTime()` Deprecated. Returns the started time of the report running, the number of milliseconds since January 1, 1970, 00:00:00 GMT.
`long` | `getTimeElapse()` Deprecated. Returns time elapse in milliseconds if the report does not runs over, or else returns the running time.
`java.lang.String` | `getUserID()` Deprecated. Returns the user ID.
`boolean` | `isCompleted()` Deprecated. Returns if the report runs over.

Method Detail

### getUserID

    java.lang.String getUserID()

  Deprecated.
  Returns the user ID.

  Returns:
    the user ID.

### getResult

    java.lang.String getResult()

  Deprecated.
  Returns the report result.

  Returns:
    the report result.

### getCatalog

    java.lang.String getCatalog()

  Deprecated.
  Returns the catalog.

  Returns:
    the catalog.

### getReportName

    java.lang.String getReportName()

  Deprecated.
  Returns the report name.

  Returns:
    the report name.

### getParameters

    java.util.Properties getParameters()

  Deprecated.
  Returns the parameter properties.

  Returns:
    the parameter properties.

### getQuery

    java.lang.String getQuery()

  Deprecated.
  Returns the HTTP query for "To Applet".

  Returns:
    the HTTP query for "To Applet".

### getStartedTime

    long getStartedTime()

  Deprecated.
  Returns the started time of the report running, the number of milliseconds since January 1, 1970, 00:00:00 GMT.

  Returns:
    the started time of the report running, the number of milliseconds since January 1, 1970, 00:00:00 GMT.

### isCompleted

    boolean isCompleted()

  Deprecated.
  Returns if the report runs over.

  Returns:
    if the report runs over.

### getCompletedTime

    long getCompletedTime()

  Deprecated.
  Returns the completed time if the report runs over, the number of milliseconds since January 1, 1970, 00:00:00 GMT, or else returns -1.

  Returns:
    the completed time if the report runs over, the number of milliseconds since January 1, 1970, 00:00:00 GMT, or else return -1.

### getTimeElapse

    long getTimeElapse()

  Deprecated.
  Returns time elapse in milliseconds if the report does not runs over, or else returns the running time.

  Returns:
    time elapse in milliseconds if the report does not runs over, or else return the running time.

### getErrorMessage

    java.lang.String getErrorMessage()

  Deprecated.
  Returns Error Message if the large Report failed to run.

  Returns:
    Error Message if the large Report failed to run.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD